dpkg-query(1)

NOMBRE
dpkg-query - Una herramienta para consultar la base de datos de dpkg

SINOPSIS
dpkg-query [opción...] orden

DESCRIPCIÓN
dpkg-query es una herramienta que muestra información sobre paquetes listados en la base de datos de dpkg.

ÓRDENES

-l, --list [package-name-pattern...]
    Lista los paquetes que encajan con el patrón dado. Si no se entrega un patrón-nombre-paquete, lista los paquetes en /var/lib/dpkg/status, excluyendo aquellos marcados como no instalados (esto es, aquellos previamente purgados). Puede usar los comodines habituales del intérprete de órdenes en el patrón-nombre-paquete. Tenga en cuenta que posiblemente tenga que entrecomillar patrón-nombre-paquete para evitar que el intérprete realice una expansión del nombre del fichero. Por ejemplo, lo siguiente lista todos los paquetes que empiezan con «libc6».
      dpkg-query -l 'libc6*'
    Las tres primeras columnas de la salida muestran la acción deseada, el estado del paquete así como errores, en este orden. Acción deseada:
      u = Desconocida
      i = Instalar
      h = Retener
      r = Eliminar
      p = Purgar
    Estado del paquete
      n = No instalado
      c = Ficheros de configuración
      H = Parcialmente instalado
      U = Desempaquetado
      F = Parcialmente configurado
      W = Disparadores esperando
      t = Disparadores pendientes
      i = Instalado
    Marcas de error:
      <empty> = (none)
      R = Reinst-required
    Un estado con mayúscula o una letra de error indica que es posible que el cause problemas serios. Para más información acerca de los estados y marcas consulte dpkg(1). El formato de la salida de esta opción no se puede modificar, pero varía automáticamente para encajar el ancho de la terminal. Esto se hace para lectores humanos, pero no facilita su lectura por el sistema. Consulte -W (--show) y --showformat para ver una manera de configurar el formato de la salida.

-W, --show [package-name-pattern...]
    Al igual que la opción --list, esto lista todos los paquetes que encajan con el patrón dado. Por otra parte, puede configurar la salida usando la opción --showformat. El formato predefinido de la salida da una línea por cada paquete que encaje, mostrando el nombre y la versión instalada, y separados por una tabulación.

-s, --status nombre-paquete...
    Report status of specified package. This just displays the entry in the installed package status database. When multiple package-name are listed, the requested status entries are separated by an empty line.

-L, --listfiles nombre-paquete...
    List files installed to your system from package-name. When multiple package-name are listed, the requested lists of files are separated by an empty line. However, note that files created by package-specific installation-scripts are not listed.

-c, --control-path nombre-paquete [fichero-control]
    Lista las rutas de los ficheros de control de nombre-paquete instalados en el sistema. Si se define fichero-control, sólo se mostrará la ruta de ese fichero de control. Advertencia: esta orden es semi-pública, y sólo se debería usar como la última solución y en caso de no disponer de ninguna otra interfaz. Puede que quede obsoleto en el futuro en caso de aparecer mejores interfaces, o si se solucionan las deficiencias actuales de su arquitectura.

-S, --search patrón-búsqueda-fichero...
    Search for packages that own files corresponding to the given pattern. Standard shell wildchars can be used in the pattern. This command will not list extra files created by maintainer scripts, nor will it list alternatives.

-p, --print-avail nombre-paquete...
    Display details about package-name, as found in /var/lib/dpkg/available. When multiple package-name are listed, the requested available entries are separated by an empty line. Users of APT-based frontends should use apt-cache show package-name instead as the available file is only kept up-to-date when using dselect.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--admindir=directorio
    Cambia el directorio con la base de datos de dpkg. Por omisión es /var/lib/dpkg.

-f, --showformat=formato
    Esta opción sirve para especificar el formato de la salida que --show producirá. El formato es una cadena que será la salida de cada paquete listado. En la cadena de formato, “\” introduce escapes:
        \n  nueva línea
        \r  retorno de línea
        \t  tabulación
    “\” posicionado antes de cualquier otro carácter suprime cualquier significado especial que puede tener el siguiente carácter, útil para “\” and “$”. Puede incluir información del paquete insertando variables de referencia a los campos del paquete usando la sintaxis “${field[;width]}”. Los campos se alinean a la derecha a menos que el ancho sea negativo, en cuyo caso se alinean a la izquierda. Los siguientes campos se reconocen pero no están siempre disponibles en el fichero de estado (sólo se guardan los campos internos o campos contenidos en el paquete binario):
        Architecture
        Bugs
        Conffiles (internal)
        Config-Version (internal)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internal, front-end related)
        Homepage
        Installed-Size
        MD5sum (internal, front-end related)
        MSDOS-Filename (internal, front-end related)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolete)
        Section
        Size (internal, front-end related)
        Source
        Status (internal)
        Suggests
        Tag (usually not in the .deb but in the repository Packages files)
        Triggers-Awaited (internal)
        Triggers-Pending (internal)
        Version
    La cadena de formato por omisión es “${Package}\t${Version}\n”. En realidad, puede consultar todos los campos contenidos en el fichero de estado (por ejemplo, etiquetas de usuario). Aparecerán «tal cual», sin conversión o revisión de fallos. Para obtener el nombre del responsable de dpkg y la versión instalada ejecute lo siguiente:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ESTADOS DE SALIDA

0   La consulta requerida se ejecutó con éxito.

1   Se han detectado problemas analizando la línea de órdenes o realizando la consulta requerida, además de que no se han encontrado ningún fichero o paquete (a excepción de «--control-path»).

ENTORNO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

COLUMNS
    Esta opción influencia la salida de --list al modificar el ancho de la salida.

AUTOR
Copyright © 2001 Wichert Akkerman

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

VÉASE TAMBIÉN
dpkg(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.